# © 2019 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import models


class IrHttp(models.AbstractModel):
    _inherit = "ir.http"

    def session_info(self):
        """
        Ajoute l'ur_id dans le contexte
        """
        result = super(IrHttp, self).session_info()
        user = self.env.user
        result["ur_id"] = user.company_id.ur_id.id
        result["ur_company"] = dict(
            user.company_ids.mapped(lambda c: (c.id, c.ur_id.id))
        )
        return result
