# © 2019 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import api, models


class MailActivity(models.Model):
    _inherit = "mail.activity"

    # ------------------------------------------------------
    # Onchange functions
    # ------------------------------------------------------
    @api.onchange("activity_type_id")
    def _onchange_activity_type_id(self):
        """
        Renvoie un domaine lié aux activités de l'UR de l'utilisateur
        """
        domain = {
            "domain": {
                "activity_type_id": [
                    ("ur_id", "=", self.env.company.ur_id.id),
                    "|",
                    ("res_model_id", "=", False),
                    ("res_model_id", "=", self.res_model_id),
                ]
            }
        }
        return domain
